.block-collection-card {
  width: 100%;
  height: 100%;
  background-color: rgb(var(--color-background));
}

.block-collection-card__image-wrapper {
  position: relative;
  width: 100%;
  aspect-ratio: var(--aspect-ratio);
  padding: var(--padding);
  overflow: hidden;
  background-color: rgb(243 243 243 / 100%);
}

.block-collection-card__image-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: var(--fit-type);
  object-position: var(--position);
}

.block-collection-card__image-wrapper svg {
  width: 100%;
  height: 100%;
}

.block-collection-card__image-title-wrapper {
  position: absolute;
  inset: 0;
  padding: 10px 20px;
}

.block-collection-card__title {
  color: rgb(var(--color-text));
}

.block-collection-card__learn-more svg{
    width: 10px;
    height: 10px;
}
.block-collection-card__learn-more {
    display: inline-flex;
    gap: 4px;
    align-items: center;
    background: transparent;
    border: 1px solid rgb(var(--color-text));
    padding: 7px 14px;
    border-radius: 30px;
    letter-spacing: .3px;
    transition: background .25s, color .25s, border-color .25s, transform .25s;
}
.block-collection-card__title:has(.block-collection-card__learn-more) {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 10px;
}
.block-collection-card__image-title-wrapper:has(.block-collection-card__learn-more):hover .block-collection-card__learn-more{
  background-color: rgb(var(--color-text));
  color: rgb(var(--color-background));
}